<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="7aa7cc45-aece-4fa3-9063-5e3df12471b4" name="Default" comment="">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/XT_Admin_Api.exe" beforeDir="false" afterPath="$PROJECT_DIR$/XT_Admin_Api.exe" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/controllers/function_api_controllers/function_api_base_controller.go" beforeDir="false" afterPath="$PROJECT_DIR$/controllers/function_api_controllers/function_api_base_controller.go" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/controllers/function_api_controllers/function_api_router_register.go" beforeDir="false" afterPath="$PROJECT_DIR$/controllers/function_api_controllers/function_api_router_register.go" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/models/function_models/fuction_query_models.go" beforeDir="false" afterPath="$PROJECT_DIR$/models/function_models/fuction_query_models.go" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/service/function_service.go" beforeDir="false" afterPath="$PROJECT_DIR$/service/function_service.go" afterDir="false" />
    </list>
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="TRACKING_ENABLED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file leaf-file-name="analysis_api_controller.go" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/controllers/admin_api_controllers/analysis_api_controller.go">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="394">
              <caret line="427" selection-start-line="427" selection-end-line="427" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="function_api_router_register.go" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/controllers/function_api_controllers/function_api_router_register.go">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="207">
              <caret line="80" column="81" selection-start-line="80" selection-start-column="56" selection-end-line="80" selection-end-column="81" />
              <folding>
                <element signature="e#34#79#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="admin_service.go" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/service/admin_service.go">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="9636">
              <caret line="444" selection-start-line="444" selection-end-line="444" />
              <folding>
                <element signature="e#35#139#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="function_service.go" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/service/function_service.go">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="-528">
              <caret line="15" column="8" selection-start-line="15" selection-start-column="8" selection-end-line="15" selection-end-column="8" />
              <folding>
                <element signature="e#17#66#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="function_api_base_controller.go" pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/controllers/function_api_controllers/function_api_base_controller.go">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="1298">
              <caret line="3065" column="22" selection-start-line="3065" selection-start-column="22" selection-end-line="3065" selection-end-column="22" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Go Application" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>/admin/api/patient/analysis</find>
      <find>PatientAnalysis</find>
      <find>AdminAPIControllersRegisterRouters</find>
      <find>admin_api_controllers</find>
      <find>/admin/api/home/statistics</find>
      <find>HomeStatistics</find>
      <find>SchedualPatient</find>
      <find>patient_count_list</find>
      <find>aaa</find>
      <find>newPatientStatistics</find>
      <find>/api/dialysis/start_record</find>
      <find>GetMonthReceiveinfo</find>
      <find>GetTodayDialysisMachinek</find>
      <find>GetYearDialysisExamination</find>
      <find>/api/function/getyeardialysisexamination</find>
      <find>/api/function/getBeforDislysis</find>
      <find>GetTodayBeforDislysisInfo</find>
      <find>GetTodayInfo</find>
    </findStrings>
    <dirStrings>
      <dir>D:\goyard\src\XT_Admin_Api\controllers\admin_api_controllers</dir>
    </dirStrings>
  </component>
  <component name="GOROOT" path="C:\Go" />
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/controllers/admin_api_controllers/admin_api_router_register.go" />
        <option value="$PROJECT_DIR$/routers/router.go" />
        <option value="$PROJECT_DIR$/controllers/admin_api_controllers/admin_api_base_controller.go" />
        <option value="$PROJECT_DIR$/service/admin_service.go" />
        <option value="$PROJECT_DIR$/controllers/admin_api_controllers/analysis_api_controller.go" />
        <option value="$PROJECT_DIR$/models/function_models/fuction_query_models.go" />
        <option value="$PROJECT_DIR$/service/function_service.go" />
        <option value="$PROJECT_DIR$/controllers/function_api_controllers/function_api_router_register.go" />
        <option value="$PROJECT_DIR$/controllers/function_api_controllers/function_api_base_controller.go" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="525" />
    <option name="width" value="1230" />
    <option name="height" value="1040" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="XT_Admin_Api" type="b2602c69:ProjectViewProjectNode" />
              <item name="XT_Admin_Api" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="XT_Admin_Api" type="b2602c69:ProjectViewProjectNode" />
              <item name="XT_Admin_Api" type="462c0819:PsiDirectoryNode" />
              <item name="conf" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="XT_Admin_Api" type="b2602c69:ProjectViewProjectNode" />
              <item name="XT_Admin_Api" type="462c0819:PsiDirectoryNode" />
              <item name="controllers" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="XT_Admin_Api" type="b2602c69:ProjectViewProjectNode" />
              <item name="XT_Admin_Api" type="462c0819:PsiDirectoryNode" />
              <item name="service" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="DefaultGoTemplateProperty" value="Go Application" />
    <property name="go.gopath.indexing.explicitly.defined" value="true" />
    <property name="go.sdk.automatically.set" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="ToolWindowManager">
    <frame x="-7" y="-7" width="1550" height="838" extended-state="6" />
    <layout>
      <window_info content_ui="combo" id="Project" order="0" visible="true" weight="0.19638069" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Event Log" order="7" sideWeight="0.10522788" side_tool="true" visible="true" weight="0.29386592" />
      <window_info anchor="right" id="Database" order="3" />
      <window_info anchor="bottom" id="Database Changes" order="8" show_stripe_button="false" />
      <window_info anchor="bottom" id="Version Control" order="9" />
      <window_info anchor="bottom" id="Run" order="2" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info active="true" anchor="bottom" id="Terminal" order="10" sideWeight="0.8947721" visible="true" weight="0.29386592" />
      <window_info id="Favorites" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Find" order="1" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <option name="time" value="1" />
    </breakpoint-manager>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/controllers/function_api_controllers/function_api_base_controller.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="65296">
          <caret line="2975" column="6" selection-start-line="2975" selection-start-column="6" selection-end-line="2975" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/controllers/admin_api_controllers/analysis_api_controller.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="9240">
          <caret line="427" selection-start-line="427" selection-end-line="427" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/controllers/function_api_controllers/function_api_router_register.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1650">
          <caret line="78" column="81" selection-start-line="78" selection-start-column="56" selection-end-line="78" selection-end-column="81" />
          <folding>
            <element signature="e#34#79#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/models/function_models/fuction_query_models.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="11176">
          <caret line="508" column="40" selection-start-line="508" selection-start-column="12" selection-end-line="508" selection-end-column="40" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/service/admin_service.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="10274">
          <caret line="473" column="124" selection-start-line="473" selection-start-column="124" selection-end-line="473" selection-end-column="124" />
          <folding>
            <element signature="e#35#139#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/conf/app.conf">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="12" selection-start-column="12" selection-end-column="12" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/service/function_service.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1628">
          <caret line="76" column="124" selection-start-line="76" selection-start-column="124" selection-end-line="76" selection-end-column="124" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/controllers/function_api_controllers/function_api_base_controller.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="41338">
          <caret line="1886" column="62" selection-start-line="1886" selection-start-column="39" selection-end-line="1886" selection-end-column="62" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/controllers/admin_api_controllers/analysis_api_controller.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="11110">
          <caret line="512" column="28" selection-start-line="512" selection-start-column="8" selection-end-line="512" selection-end-column="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/controllers/function_api_controllers/function_api_router_register.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1166">
          <caret line="53" column="83" selection-start-line="53" selection-start-column="58" selection-end-line="53" selection-end-column="83" />
          <folding>
            <element signature="e#34#79#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/service/function_service.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1122">
          <caret line="53" column="19" selection-start-line="53" selection-start-column="11" selection-end-line="53" selection-end-column="19" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/models/function_models/fuction_query_models.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="7832">
          <caret line="356" column="29" selection-start-line="356" selection-start-column="12" selection-end-line="356" selection-end-column="29" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/service/admin_service.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="10406">
          <caret line="473" column="124" selection-start-line="473" selection-start-column="124" selection-end-line="473" selection-end-column="124" />
          <folding>
            <element signature="e#35#139#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/conf/app.conf">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="12" selection-start-column="12" selection-end-column="12" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/controllers/function_api_controllers/function_api_base_controller.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="4158">
          <caret line="189" column="48" selection-start-line="189" selection-start-column="36" selection-end-line="189" selection-end-column="48" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/controllers/admin_api_controllers/analysis_api_controller.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="11264">
          <caret line="512" column="28" selection-start-line="512" selection-start-column="8" selection-end-line="512" selection-end-column="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/controllers/function_api_controllers/function_api_router_register.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="88">
          <caret line="4" column="9" selection-start-line="4" selection-start-column="9" selection-end-line="4" selection-end-column="9" />
          <folding>
            <element signature="e#34#79#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/service/function_service.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="330">
          <caret line="17" selection-start-line="17" selection-end-line="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/models/function_models/fuction_query_models.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1650">
          <caret line="75" column="23" selection-start-line="75" selection-start-column="12" selection-end-line="75" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/service/admin_service.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="10274">
          <caret line="473" column="124" selection-start-line="473" selection-start-column="67" selection-end-line="473" selection-end-column="124" />
          <folding>
            <element signature="e#35#139#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/conf/app.conf">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="12" selection-start-column="12" selection-end-column="12" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/controllers/function_api_controllers/function_api_base_controller.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="286">
          <caret line="13" column="38" selection-start-line="13" selection-start-column="38" selection-end-line="13" selection-end-column="38" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/controllers/function_api_controllers/function_api_router_register.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="132">
          <caret line="9" column="72" selection-start-line="9" selection-start-column="47" selection-end-line="9" selection-end-column="72" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/models/function_models/fuction_query_models.go">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="23" selection-start-column="8" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/service/function_service.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="242">
          <caret line="11" column="8" selection-start-line="11" selection-start-column="8" selection-end-line="11" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/conf/app.conf">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="12" selection-start-column="12" selection-end-column="12" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/controllers/function_api_controllers/function_api_base_controller.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="418">
          <caret line="24" column="17" selection-start-line="24" selection-start-column="9" selection-end-line="24" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/service/admin_service.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="10868">
          <caret line="500" column="16" selection-start-line="500" selection-start-column="10" selection-end-line="500" selection-end-column="16" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/service/function_service.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="154">
          <caret line="7" column="23" selection-start-line="7" selection-start-column="23" selection-end-line="7" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/conf/app.conf">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="154">
          <caret line="7" selection-start-line="7" selection-end-line="7" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../SCRM/models/site_models.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="418">
          <caret line="19" column="5" selection-start-line="19" selection-start-column="5" selection-end-line="19" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../XT/service/admin_service.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="427">
          <caret line="192" column="5" selection-start-line="192" selection-start-column="5" selection-end-line="192" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../XT/controllers/admin_api_controllers/analysis_api_controller.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="233">
          <caret line="383" column="80" selection-start-line="383" selection-start-column="50" selection-end-line="383" selection-end-column="80" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../XT/controllers/admin_api_controllers/admin_api_router_register.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="261">
          <caret line="14" column="70" selection-start-line="14" selection-start-column="49" selection-end-line="14" selection-end-column="70" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/controllers/admin_api_controllers/admin_api_router_register.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="308">
          <caret line="19" lean-forward="true" selection-start-line="19" selection-end-line="19" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/controllers/admin_api_controllers/login_api_controller.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="110">
          <caret line="9" column="26" selection-start-line="9" selection-start-column="4" selection-end-line="9" selection-end-column="26" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/service/verify_login_token_service.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="132">
          <caret line="18" column="4" selection-start-line="18" selection-start-column="4" selection-end-line="18" selection-end-column="4" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/controllers/base_controller.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="162">
          <caret line="13" column="28" selection-start-line="13" selection-start-column="28" selection-end-line="13" selection-end-column="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../SCRM/models/site_models.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-506">
          <caret line="19" column="5" selection-start-line="19" selection-start-column="5" selection-end-line="19" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/routers/router.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="506">
          <caret line="23" column="54" selection-start-line="23" selection-start-column="17" selection-end-line="23" selection-end-column="54" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/models/dialysis.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="220">
          <caret line="73" column="6" selection-start-line="73" selection-start-column="6" selection-end-line="73" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/controllers/base_api_controller.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="198">
          <caret line="20" column="2" lean-forward="true" selection-start-line="20" selection-start-column="2" selection-end-line="20" selection-end-column="2" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/conf/app.conf">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="12" selection-start-column="12" selection-end-column="12" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/models/admin_models/admin_models.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="330">
          <caret line="15" column="21" selection-start-line="15" selection-start-column="12" selection-end-line="15" selection-end-column="21" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/controllers/admin_api_controllers/admin_api_base_controller.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="968">
          <caret line="50" column="41" selection-start-line="50" selection-start-column="41" selection-end-line="50" selection-end-column="41" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/service/admin_service.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="9636">
          <caret line="444" selection-start-line="444" selection-end-line="444" />
          <folding>
            <element signature="e#35#139#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/models/function_models/fuction_query_models.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="329">
          <caret line="531" column="36" selection-start-line="531" selection-start-column="36" selection-end-line="531" selection-end-column="36" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/service/function_service.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-528">
          <caret line="15" column="8" selection-start-line="15" selection-start-column="8" selection-end-line="15" selection-end-column="8" />
          <folding>
            <element signature="e#17#66#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/controllers/function_api_controllers/function_api_router_register.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="207">
          <caret line="80" column="81" selection-start-line="80" selection-start-column="56" selection-end-line="80" selection-end-column="81" />
          <folding>
            <element signature="e#34#79#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/controllers/admin_api_controllers/analysis_api_controller.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="394">
          <caret line="427" selection-start-line="427" selection-end-line="427" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/controllers/function_api_controllers/function_api_base_controller.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1298">
          <caret line="3065" column="22" selection-start-line="3065" selection-start-column="22" selection-end-line="3065" selection-end-column="22" />
        </state>
      </provider>
    </entry>
  </component>
</project>